Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227996 - perl-Net-DNS 0.48 doesn't support SPF type
Summary: perl-Net-DNS 0.48 doesn't support SPF type
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-Net-DNS
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 13:11 UTC by Peter Bieringer
Modified: 2010-02-22 13:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 13:18:01 UTC


Attachments (Terms of Use)

Description Peter Bieringer 2007-02-09 13:11:54 UTC
Description of problem:
perl-Net-DNS 0.48 doesn't support SPF, it's too old

Version-Release number of selected component (if applicable):
perl-Net-DNS-0.48-1

How reproducible:
Always

Steps to Reproduce:
1. try to use Mail::SPF on RHEL4 system
  
Actual results:
# spfquery --id account@domain.example --ip 192.0.2.1
Net::DNS::typesbyname() argument (SPF) is not TYPE### at
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/Net/DNS.pm line 144.


Expected results:
Support of SPF DNS type

Additional info:
SPF is supported since 0.56:

*** 0.56 February 20, 2006

Fix rt.cpan.org 17694
 
   Net::DNS::typesbyval() now confesses on undefined
   args. Acknowledgements to Dean Serenevy.

Feature Implemented SPF (typecode 99).

   The class completely inherits from Net::DNS::RR::TXT (the easiest 
   RR to implement ever).

Please provide an update.

Comment 1 Marcela Mašláňová 2008-08-15 09:53:59 UTC
I'd rather not update to 0.58. There was a lot of changes, features, etc. I'm not sure if this package won't break ABI with other modules.

Comment 2 Marcela Mašláňová 2010-02-22 13:18:01 UTC
The last planned update of RHEL-4 will be focused on performance and security bugs only. The next release should solve this issue.


Note You need to log in before you can comment on or make changes to this bug.